> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Issue



## OpenAPI

````yaml /openapi.json post /v1/issues
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/issues:
    post:
      tags:
        - issues
      summary: Create Issue
      operationId: create_issue_v1_issues_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateIssueRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response Create Issue V1 Issues Post
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateIssueRequest:
      properties:
        assignee_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Assignee Id
        auto_analyze:
          default: true
          title: Auto Analyze
          type: boolean
        body:
          default: ''
          maxLength: 20000
          title: Body
          type: string
        external_id:
          anyOf:
            - maxLength: 128
              type: string
            - type: 'null'
          title: External Id
        external_url:
          anyOf:
            - type: string
            - type: 'null'
          title: External Url
        severity:
          $ref: '#/components/schemas/IssueSeverity'
        source:
          $ref: '#/components/schemas/IssueSource'
        team:
          anyOf:
            - type: string
            - type: 'null'
          title: Team
        title:
          maxLength: 300
          minLength: 1
          title: Title
          type: string
      required:
        - title
        - source
        - severity
      title: CreateIssueRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    IssueSeverity:
      enum:
        - p1
        - p2
        - p3
        - p4
      title: IssueSeverity
      type: string
    IssueSource:
      enum:
        - jira
        - servicenow
        - github
        - pagerduty
        - opsgenie
        - linear
        - zendesk
        - email
        - custom_api
        - database
        - contract
      title: IssueSource
      type: string
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````